| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Contents | Index

Graphics.Rendering.OpenGL.GL.Selection

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 5.2 (Selection) of the OpenGL 2.1 specs.
Documentation
data HitRecord

Constructors

HitRecord GLfloat GLfloat [Name] |

Instances

Eq HitRecord |
Ord HitRecord |
Show HitRecord |

getHitRecords :: GLsizei -> IO a -> IO (a, Maybe [HitRecord])
newtype Name

Constructors

Name GLuint |

Instances

Eq Name |
Ord Name |
Show Name |

withName :: Name -> IO a -> IO a
loadName :: Name -> IO ()
maxNameStackDepth :: GettableStateVar GLsizei
nameStackDepth :: GettableStateVar GLsizei
data RenderMode

Constructors

Render |
Feedback |
Select |

Instances

Eq RenderMode |
Ord RenderMode |
Show RenderMode |

renderMode :: GettableStateVar RenderMode
Produced by Haddock version 2.7.2